import React from 'react';

function is_weixn() {
  var ua = navigator.userAgent.toLowerCase();
  return ua.match(/MicroMessenger/i) === 'micromessenger';
}

export const initUserinfo = {
  isWx: is_weixn(),
  userId: '123',
  token: '',
  campusId: '',
  campusName: '',
  barcode: '',
  position: {
    id: null,
    position: null,
    mode: null,
    isBind: false,
    deviceType: null,
  },
};

export const UserContext = React.createContext({
  userinfo: initUserinfo,
  updateUserInfo: () => {},
});

export default UserContext;
